Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::RBParser Class Reference

`#include <RBParser.h>`

## Public Member Functions
| RBParser (const RVNGInputStreamPtr_t &input, librevenge::RVNGTextInterface *document=0)
void | parse ()

## Private Member Functions
| RBParser (const RBParser &other)
RBParser & | operator= (const RBParser &other)

## Private Attributes
const RVNGInputStreamPtr_t | m_input
librevenge::RVNGTextInterface * | m_document
RBHeader | m_header

## Constructor & Destructor Documentation

## § RBParser() [1/2]

libebook::RBParser::RBParser | ( | const RBParser & | other | ) |
| private

## § RBParser() [2/2]

libebook::RBParser::RBParser | ( | const RVNGInputStreamPtr_t & | input,
|  | librevenge::RVNGTextInterface * | document = `0`
| ) |  |
| explicit

## Member Function Documentation

## § operator=()

RBParser& libebook::RBParser::operator= | ( | const RBParser & | other | ) |
| private

## § parse()

void libebook::RBParser::parse | ( |  | ) |

## Member Data Documentation

## § m_document

librevenge::RVNGTextInterface* libebook::RBParser::m_document
| private

Referenced by parse().

## § m_header

RBHeader libebook::RBParser::m_header
| private

Referenced by parse().

## § m_input

const RVNGInputStreamPtr_t libebook::RBParser::m_input
| private

Referenced by parse(), and RBParser().

The documentation for this class was generated from the following files:

- RBParser.h
- RBParser.cpp